summaryrefslogtreecommitdiff
path: root/tests.deploy/deploy-cluster.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.deploy/deploy-cluster.script')
-rwxr-xr-xtests.deploy/deploy-cluster.script46
1 files changed, 46 insertions, 0 deletions
diff --git a/tests.deploy/deploy-cluster.script b/tests.deploy/deploy-cluster.script
new file mode 100755
index 00000000..917ac717
--- /dev/null
+++ b/tests.deploy/deploy-cluster.script
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Test "morph deploy" by deploying the systems in cluster morphology.
+
+
+set -eu
+
+
+. "$SRCDIR/tests.deploy/setup-build"
+
+cd "$DATADIR/workspace/branch1"
+
+"$SRCDIR/scripts/test-morph" build hello-system
+
+"$SRCDIR/scripts/test-morph" build linux-system
+
+"$SRCDIR/scripts/test-morph" --log "$DATADIR/deploy.log" \
+ deploy test_cluster \
+ linux-system-2.HOSTNAME="baserock-rocks-even-more" \
+ > /dev/null
+
+test -e hello-system.img
+test -e linux-system-1.tar
+test -e linux-system-2.tar
+
+hostname1=$(tar -xf linux-system-1.tar ./etc/hostname -O)
+hostname2=$(tar -xf linux-system-2.tar ./etc/hostname -O)
+
+[ "$hostname1" = baserock-rocks ]
+[ "$hostname2" = baserock-rocks-even-more ]